#!/usr/local/bin/perl

############################################
##                                        ##
##                 WebLog                 ##
##           by Darryl Burgdorf           ##
##                                        ##
##           Configuration File           ##
##                                        ##
############################################

require "weblog.pl";

$LogFile = "/usr/foo/logs/access_log";
$IPLog = "/usr/foo/logs/ips";

$FileDir = "/usr/www/foo/reports";
$ReportFile = "log.html";
$DetailsFile = "log.details.html";
$RefsFile = "log.refs.html";
$KeywordsFile = "log.keys.html";
$AgentsFile = "log.agents.html";

$DetailsSummaryOnly = 0;

$AgentListFile = "";
$DBMType = 0;

$PrintFullAgentLists = 0;

$EOMFile = "log.eom.html";

$SystemName = "Site Name Goes Here";

$OrgName = "Org Name Goes Here";
$OrgDomain = '(foo.com)';

$GraphURL = "http://foo.com/logs/graphs";
$GraphBase = "visits";

# $IncludeOnlyRefsTo = '(includethis|andthis)';
# $ExcludeRefsTo = '(excludethis|andthis)';

# $IncludeOnlyDomain = '';
# $ExcludeDomain = '';

$IncludeQuery = 0;

$PrintFiles = 1;
$Print404 = 1;
$PrintDomains = 0;
$PrintUserIDs = 0;
$PrintTopNFiles = 10;
$TopFileListFilter = '(\.gif|\.jpg|\.jpeg|Code)';
$PrintTopNDomains = 0;

$LogOnlyNew = 1;

$NoSessions = 0;
$NoResolve = 0;

$HourOffset = 0;

$DetailsFilter = '(\.gif|\.jpg|\.jpeg)';
$DetailsDays = 7;

$refsexcludefrom = '(file:)';
$refsexcludeto = '(\.gif|\.jpg|\.jpeg)';

$RefsStripWWW = 1;
$RefsFilterLists = 1;
$TopNRefDoms = 10;
$TopNKeywords = 10;

$AgentsIgnore = '(\.gif|\.jpg|\.jpeg)';

$Verbose = 1;

$bodyspec = "BGCOLOR=\"#ffffff\" TEXT=\"#000000\"";

$headerfile = "/usr/www/users/foo/header.txt";
$footerfile = "/usr/www/users/foo/footer.txt";

&MainProg;
